# loki.transformations.array_indexing.tests.test_array_promote

Functions

`test_transform_promote_variable_scalar`(...) | Apply variable promotion for a single scalar variable.
`test_transform_promote_variables`(tmp_path, ...) | Apply variable promotion for scalar and array variables.

test_transform_promote_variable_scalar(tmp_path, frontend)

  Apply variable promotion for a single scalar variable.

test_transform_promote_variables(tmp_path, frontend)

  Apply variable promotion for scalar and array variables.